Subject: RE: I-D ACTION:draft-levy-megaco-mgdiscovery-00.txt

From: Roni Even <[email-masked]>
Date: Wed, 21 Feb 2001 12:25:34 +0200

Thomas,
I read your document and have two question.

1. Is it possible to describe alternative media function. For example in the
call flow example (7.3) in the second example suppose that MG1 is able to
handle 8 media encoding conversions from PMCU to G.723 OR 6 media
conversions from PMCU to GSM. How can I describe such functionality.
2. Is the MediaResource descriptor an optional parameter to the Service
Change

Thanks
Roni Even
Accord Networks

-----Original Message-----
From: Thomas LEVY [mailto:[email-masked]]
Sent: Tuesday, October 03, 2000 6:10 PM
To: [email-masked]
Subject: Re: I-D ACTION:draft-levy-megaco-mgdiscovery-00.txt

    Hello All,

This draft is intended to discuss 2 alternative solutions to fill the Megaco
requirement (RFC 2805) expressed in the section "6.1.  Resource Status
Management".

Especially :
"   d.   Provide an MG Resource Discovery mechanism which must allow an
        MGC to discover what resources the MG has. Expressing resources
        can be an arbitrarily difficult problem and the initial release
        of the protocol may have a simplistic view of resource
        discovery."

The first solution makes use of the ServiceChangeProfile.
The second solution makes use of the AuditValue command to audit the  media
resources of  an MG.
There are may be other solutions to suggest?

Concerning the second solution:
A comment that I received from Brian Rosen is that the media resources (or
capabilities) description is also in the scope of future SDP.
It should be interesting if SDP could integrate "media capabilities" from
both
terminal and media gateway.
It would allow to factorize all the media part into SDP.
Any concordant (or discordant !!!) opinion?

Thomas,

[email-masked] a écrit :

> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>
>         Title           : Megaco/H.248 Media Gateway Resources Discovery
>         Author(s)       : T. Levy, L. Anquetil
>         Filename        : draft-levy-megaco-mgdiscovery-00.txt
>         Pages           : 8
>         Date            : 02-Oct-00
>
> This document addresses the need for a Media Gateway Controller
> (MGC) to be informed from the media resources of its Media Gateways
> (MG) in the context of the Megaco/H.248 protocol. The draft
> discusses alternative solutions for an effective media gateway
> resources discovery mechanism.
> The document is provided as an informational draft for discussion
> within the Megaco Working Group.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-levy-megaco-mgdiscovery-00.txt
>
> Internet-Drafts are also available by anonymous FTP. Login with the
username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-levy-megaco-mgdiscovery-00.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-levy-megaco-mgdiscovery-00.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail
readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
>   ------------------------------------------------------------------------
> Content-Type: text/plain
> Content-ID:     <[email-masked]>

---

From: Thomas LEVY <[email-masked]>
Date: Thu, 22 Feb 2001 13:17:28 +0100

Hello Roni,

I suppose that you are talking about the second proposed solution in the draft.

> conversions from PMCU to GSM. How can I describe such functionality.

The case where you have 2 alternative MediaFunctions with different cardinality
is not taken into account in this draft. This should be an interresting point to
add for an evolution.
However, there should some approximate solution to your problem.
You could use 2 media functions to express you case:
The first MediaFunction having the following description PCMU-G723|GSM with
cardinality 6.
The second with the following description PCMU-G723 with cardinality 2.

> 2. Is the MediaResource descriptor an optional parameter to the Service

It is not mandatory, since the document is only an informational draft.

> Accord Networks

Thomas LEVY,